Bug 48300 - Allow JMeter HTTP Request HTTPClient to use several source IP addresses (IP aliasing or network interfaces)
Allow JMeter HTTP Request HTTPClient to use several source IP addresses (IP a...
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
Nightly (Please specify date)
PC Linux
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-11-29 09:53 UTC by Milamber
Modified: 2009-11-30 16:48 UTC (History)
0 users



Attachments
Patch to add a new field 'Source IP address' in HTTPClient Request (9.28 KB, patch)
2009-11-29 09:56 UTC, Milamber
Details | Diff
New screenshot HTTP Request (HTTPClient) with proxy fields and Source IP address (33.67 KB, application/x-sdlc)
2009-11-29 09:57 UTC, Milamber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milamber 2009-11-29 09:53:04 UTC
With Commons HttpClient, it's easy to select a specific IP address source. 

This patch allow to define a source IP address in GUI which is a JMeter variable. This last are retrieve from a CSV Data Set Config element which list a 'pool' of IP addresses.

The IP pool is (all) configured IP addresses aliasing (or network interface) on JMeter machine.

Now, JMeter with HTTPClient Request+CSV Data permit to simulate Virtual Users with their IP addresses.
Comment 1 Milamber 2009-11-29 09:56:49 UTC
Created attachment 24631 [details]
Patch to add a new field 'Source IP address' in HTTPClient Request 

Documentation is update:
- HTTP Request screenshot
- New 'proxy' fields
- New Source IP address
Comment 2 Milamber 2009-11-29 09:57:46 UTC
Created attachment 24632 [details]
New screenshot HTTP Request (HTTPClient) with proxy fields and Source IP address
Comment 3 Sebb 2009-11-29 18:11:30 UTC
Thanks for another useful patch, applied to SVN:

URL: http://svn.apache.org/viewvc?rev=885312&view=rev
Log:
Bug 48300 - Allow override of IP source address for HTTP HttpClient requests
Comment 4 Mark Thomas 2009-11-30 16:48:13 UTC
Note that due to a data loss on 26/27 Nov 2009 the issue that was originally created as bug 48300 was lost. It has been re-created as bug 48311.